RegisteredModels
Get Registered Models visible to user
Get registered models that a user can see. Returns only ML models.
GET
/
api
/
registeredmodels
/
v1
Get Registered Models visible to user
curl --request GET \
--url https://mycluster.domino.tech/api/registeredmodels/v1 \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/registeredmodels/v1"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/registeredmodels/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"createdAt": "2022-03-12T02:13:44.467Z",
"description": "Customer churn model",
"name": "churn-prediction",
"ownerUsername": "martin_hito",
"project": {
"id": "62313ce67a0af0281c01a6a5",
"isGitBasedProject": true,
"name": "TO-DO",
"ownerUsername": "TO-DO"
},
"requestingUserAccess": {
"canEditModel": true,
"canEditProjectAssets": true,
"canEditPropertyValues": true,
"canEditTaxonomyTags": true,
"canViewExperimentRuns": true,
"canViewModelApis": true,
"canViewProject": true,
"canViewProjectFiles": true
},
"tags": {
"key": "value",
"key2": "anothervalue"
},
"updatedAt": "2022-03-12T02:13:44.467Z",
"discoverable": false,
"latestVersion": 1
}
],
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>",
"nextPageToken": "<string>"
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Query Parameters
Project ID of requested models.
Search parameter to retrieve models from Mlflow (currently supports name and tags)
Pagination token to go to the next page based on a previous search query.
Max number of Registered Models to fetch. Defaults to 25.
List of columns for ordering search results, which can include model name and last updated timestamp with an optional "DESC" or "ASC" annotation, where "ASC" is the default. Tiebreaks are done by model name ASC.
Last modified on August 18, 2026
Related topics
Get Registered Models visible to userGet Registered Models visible to user (v2)Get a list of Registered Models' names visible to userGet a specific Registered ModelWas this page helpful?
⌘I
Get Registered Models visible to user
